Loading...
Searching...
No Matches
libthreadar::thread::cancel_except Class Reference

exception used to trigger thread cancellation More...

`#include <thread.hpp>`

## Public Member Functions

| cancel_except (cancel_except &)=default
| cancel_except (cancel_except &&) noexcept=default
cancel_except & | operator= (cancel_except &)=default
cancel_except & | operator= (cancel_except &&) noexcept=default

## Detailed Description

exception used to trigger thread cancellation

Note
  IMPORTANT: this exception should not be caught within inherited_run()

Definition at line 181 of file thread.hpp.

## Constructor & Destructor Documentation

## cancel_except()

libthreadar::thread::cancel_except::cancel_except | ( |  | ) |

inline

Definition at line 184 of file thread.hpp.

The documentation for this class was generated from the following file:

- thread.hpp